# bw-menu

Bitwarden Menu

## Installation
```bash
# install an up-to-date rust and cargo, see https://rustup.rs/
curl --proto '=https' --tlsv1.2 -sSf https://sh.rustup.rs | sh

# install dependencies
sudo dnf install rofi

mkdir -p ~/.cargo
cat > ~/.cargo/config.toml << 'EOF'
[registries.gitea]
index = "https://git.navidsassan.ch/navid.sassan/_cargo-index.git"

[net]
git-fetch-with-cli = true
EOF
cargo install bw-menu --registry gitea

~/.cargo/bin/bw-menu --version
```


## Usage
```bash
# start bw serve
export BW_SESSION="$(bw unlock --raw)" && bw serve --hostname 127.0.0.1&
# get dropdown (takes a second)
bw-menu select

# get password of last selected entry
bw-menu history get 0 password

# list 5 last selected entries (currently saved in `/tmp`)
bw-menu history list
```

## Known Issues

* The collections of entries that are in multiple collections are not displayed correctly
* The history is reset after every reboot if `/tmp` is not persistent

A re-write in Python is planned, during which these issues will be fixed.
